help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: elpa package loading problem?


From: Xah Lee
Subject: Re: elpa package loading problem?
Date: Thu, 29 Nov 2012 20:53:44 -0800 (PST)
User-agent: G2/1.0

On Nov 28, 11:09 pm, Easior <address@hidden> wrote:
>
> It's just my question.
>
> However, I also found something strange with package.el in emacs 24.
> I installed command-frequency.el, info+.el, maxfame.el etc, byelpa.
> Those package couldn't load properly if I add the following lines:
>
> ,------------------------------------------------
> | (require 'command-frequency)
> | (eval-after-load "info" '(require 'info+))
> | (require 'maxframe)
> | (add-hook 'window-setup-hook 'maximize-frame t)
> `------------------------------------------------
>
> to the file ~/.emacs. The *Bugtrace* reports that
>
> If I adjust my dotemacs file as follows
>
> ,------------------------------------------------
> | ;; (require 'command-frequency)
> | ;; (eval-after-load "info" '(require 'info+))
> | ;; (require 'maxframe)
> | (add-hook 'window-setup-hook 'maximize-frame t)
> `------------------------------------------------
>
> then the maxframe.el works well while command-frequency.el and
> info+.el didn't take any effects. I found those files named
> <package>-<autoloads>.el when I entered into theelpadirectory.
> Based on these facts, I understand that
>
> * packages installed byelpacouldn't required in ~/.emacs since
>   they would be autoloaded through the autoloads files. Furthermore,
>   the autoloads files are generated from the ;;##autoload lines in
>   package sources.
> * maxfame.el works since the function, maximize-frame, is in the
>   autoloads file.
> * command-frequency.el doesn't work because there is nothing in its
>   autoloads file.
>
> Is it right?
>
> Question:
>
> Is there a way to make info+.el, command-frequency.el run byelpa?
> What can I do?
>
> Thanks in advance.
>
> Best regards,
>
> Easior
> -----
> Ich bin von heute und ehedam, aber etwas ist in mir, das ist vor
> morgen und übermorgen und einstmal.
>
>                                      Friedrich Wilhelm Nietzsche


in general, you want to do

(package-initialize)

first before trying to do any config for packages from the package
system.

See update here, bottom:

〈Emacs 24 Package System Problems〉
http://ergoemacs.org/emacs/emacs_package_system_problem.html

also, i recommend using MELPA.

〈A Guide on Emacs 24 Package System〉
http://ergoemacs.org/emacs/emacs_package_system.html

command-frequency is obsolete. New is keyfreq.el. Please see bottom:

〈Emacs's Command Frequency〉
http://ergoemacs.org/emacs/command-frequency.html

 Xah


reply via email to

[Prev in Thread] Current Thread [Next in Thread]